{% extends "teams/base.html" %}

{% block content %}
<div class="players">
    <div class="team-name">
        {{ players.0.team_name.name }}
    </div>

    {% if players %}
        {% for player in players %}
            {% if player.is_approved == True %}
                <a class="player_is_approved" href="{% url 'one-player' player.id %}">
            {% else %}
                <a class="player_is_not_approved" href="{% url 'one-player' player.id %}">
            {% endif %}
                <div class=player__photo"">
                    <img src="{{ MEDIA_URL }}{{player.photo.name}}" alt="" class="img_photo">
                </div>
                <div class="player_info">
                    <div class="player_lastname">
                        {{ player.lastname }}
                    </div>
                    <div class="player_firstname">
                        {{ player.firstname }}
                    </div>
                    <div class="player_role">
                        {{ player.role.name }}
                    </div>
                    <div class="player_growth">
                        {{ player.growth }}
                    </div>
                    <div class="player_year_of_birth">
                        {{ player.year_of_birth }}
                    </div>
                </div>
                </a>
        {% endfor %}
    {% else %}
        Нет доступных игроков.
        Состав команды еще формируется.
        Подайте заявку на добавление игрока в команду.
    {% endif %}
</div>
{% endblock content %}
{% block styles %}
<style>
        .team-name{
            flex-wrap: wrap;
            display: flex;
            justify-content: left;
            width: 100%;
            padding: 20px;
            font-family: Mistral;
            text-transform: uppercase;
            font-size: 30px;
            font-weight: 900;
            }

        .player_is_approved {
            text-decoration: none;
            color: #4e4e4e;
            border: 2px solid rgb(135, 206, 250);
            border-radius: 20px;
            display: flex;
            gap: 5px;
            width: 100%;
            max-width: 300px;
            min-width: 300px;

        }
        .player_is_not_approved {
            text-decoration: none;
            color: #4e4e4e;
            border: 2px solid rgb(135, 206, 250);
            border-radius: 20px;
            display: flex;
            background: rgba(255, 0, 0, 0.5);
            gap: 5px;
            width: 100%;
            max-width: 300px;
            min-width: 300px;
        }
        .player_is_approved:hover{
            background: rgba(135, 206, 250, 0.5);
            border-radius: 20px;
        }
        .player_is_not_approved:hover{
            background: rgba(255, 0, 0, 0.7);
            border-radius: 20px;
        }

        .img_photo{
            width: 120px;
            height: 120px;
            border-radius: 18px;
        }
        .players {
            flex-wrap: wrap;
            display: flex;
            width: 100%;
            justify-content: left;
            align-items: left;
            gap: 10px;
            border: 1px solid rgb(135, 206, 250);
            border-radius: 18px;
        }
        .player_info{
            width: 100%;
            justify-content: right;
            font-family: Mistral;
            text-transform: uppercase;
        }

        .player_lastname{
            width: 100%;
            text-align: left;
        }
        .player_firstname{
            width: 100%;
            text-align: left;
        }




</style>
{% endblock styles %}
